## org.apache.ivy.ant
Class IvyRepositoryReport

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ivy.ant.IvyTask
                  org.apache.ivy.ant.IvyRepositoryReport

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyRepositoryReport

extends IvyTask

Generates a report of dependencies of a set of modules in the repository. The set of modules is specified using organisation/module and matcher.

Field Summary

Fields inherited from class org.apache.ivy.ant.IvyTask
`ANT_PROJECT_CONTEXT_KEY`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IvyRepositoryReport()`

Method Summary
`org.apache.tools.ant.taskdefs.XSLTProcess.Param` `createParam()`
`void` `doExecute()` The real logic of task execution after project has been set in the context.
`java.lang.String` `getBranch()`
`java.lang.String` `getMatcher()`
`java.lang.String` `getModule()`
`java.lang.String` `getOrganisation()`
`java.lang.String` `getOutputname()`
`java.lang.String` `getRevision()`
`java.io.File` `getTodir()`
`java.lang.String` `getXslext()`
`java.lang.String` `getXslfile()`
`boolean` `isDot()`
`boolean` `isGraph()`
`boolean` `isXml()`
`boolean` `isXsl()`
`void` `setBranch(java.lang.String branch)`
`void` `setCache(java.io.File cache)`
`void` `setDot(boolean dot)`
`void` `setGraph(boolean graph)`
`void` `setMatcher(java.lang.String matcher)`
`void` `setModule(java.lang.String module)`
`void` `setOrganisation(java.lang.String organisation)`
`void` `setOutputname(java.lang.String outputpattern)`
`void` `setRevision(java.lang.String revision)`
`void` `setTodir(java.io.File todir)`
`void` `setXml(boolean xml)`
`void` `setXsl(boolean xsl)`
`void` `setXslext(java.lang.String xslext)`
`void` `setXslfile(java.lang.String xslFile)`

Methods inherited from class org.apache.ivy.ant.IvyTask

`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IvyRepositoryReport

    public IvyRepositoryReport()

Method Detail

### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

  Description copied from class: `IvyTask`
  The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

  Specified by:
    `doExecute` in class `IvyTask`
  Throws:
    `org.apache.tools.ant.BuildException`

### getTodir

    public java.io.File getTodir()

### setTodir

    public void setTodir(java.io.File todir)

### isGraph

    public boolean isGraph()

### setGraph

    public void setGraph(boolean graph)

### getXslfile

    public java.lang.String getXslfile()

### setXslfile

    public void setXslfile(java.lang.String xslFile)

### isXml

    public boolean isXml()

### setXml

    public void setXml(boolean xml)

### isXsl

    public boolean isXsl()

### setXsl

    public void setXsl(boolean xsl)

### getXslext

    public java.lang.String getXslext()

### setXslext

    public void setXslext(java.lang.String xslext)

### createParam

    public org.apache.tools.ant.taskdefs.XSLTProcess.Param createParam()

### getOutputname

    public java.lang.String getOutputname()

### setOutputname

    public void setOutputname(java.lang.String outputpattern)

### setCache

    public void setCache(java.io.File cache)

### getMatcher

    public java.lang.String getMatcher()

### setMatcher

    public void setMatcher(java.lang.String matcher)

### getModule

    public java.lang.String getModule()

### setModule

    public void setModule(java.lang.String module)

### getOrganisation

    public java.lang.String getOrganisation()

### setOrganisation

    public void setOrganisation(java.lang.String organisation)

### getRevision

    public java.lang.String getRevision()

### setRevision

    public void setRevision(java.lang.String revision)

### getBranch

    public java.lang.String getBranch()

### setBranch

    public void setBranch(java.lang.String branch)

### isDot

    public boolean isDot()

### setDot

    public void setDot(boolean dot)